<?php

use Illuminate\Support\Facades\{Auth, Session};
use Livewire\Component;

return new class() extends Component {

    public function logout(): void
    {
        Auth::guard('web')->logout();
        Session::invalidate();
        Session::regenerateToken();
        $this->redirect('/');
    }

    protected function view($data = [])
    {
        return app('view')->file('E:\laragon\www\shop2\storage\framework\views/livewire/views/dc6de454.blade.php', $data);
    }
};
